function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import React, { forwardRef, useRef } from "react";
import { Form } from "antd";
import Input from "../../../../../input";
import { useClickAway } from "ahooks";
var Edit = function Edit(props, ref) {
  var value = props.value,
    _onChange = props.onChange,
    onPressEnter = props.onPressEnter,
    onBlur = props.onBlur,
    style = props.style,
    bordered = props.bordered;
  var content = value.content,
    url = value.url;
  var wrapRef = useRef(null);
  var mountTime = useRef(new Date().getTime());
  useClickAway(function () {
    var triggerTime = new Date().getTime();
    // 挂载时会触发 这里用时间判断是否是挂载时触发的
    if (triggerTime - mountTime.current < 100) {
      return;
    }
    onBlur();
  }, wrapRef);
  return /*#__PURE__*/React.createElement("div", {
    className: "",
    onClick: function onClick(e) {
      return e.stopPropagation();
    },
    ref: wrapRef
  }, /*#__PURE__*/React.createElement(Form.Item, {
    label: "Default value",
    name: "default_value",
    initialValue: content
  }, /*#__PURE__*/React.createElement(Input, {
    ref: ref,
    onChange: function onChange(e) {
      return _onChange(_objectSpread(_objectSpread({}, value), {}, {
        content: e.target.value
      }));
    }
  })), /*#__PURE__*/React.createElement(Form.Item, {
    label: "Link Url",
    name: "link_url",
    initialValue: url
  }, /*#__PURE__*/React.createElement(Input, {
    onChange: function onChange(e) {
      return _onChange(_objectSpread(_objectSpread({}, value), {}, {
        url: e.target.value
      }));
    }
  })));
};
export default /*#__PURE__*/forwardRef(Edit);